<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('outgoing_call_attempts', function (Blueprint $table) {
            $table->id();
            $table->foreignId('called_by')->constrained('users')->cascadeOnDelete();
            $table->string('receiver_number');
            $table->bigInteger('ivr_id');
            $table->dateTime('call_time');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('outgoing_call_attempts');
    }
};
